/**********************************************************************
 *
 *   FreeDoko a Doppelkopf-Game
 *    
 *   Copyright (C) 2001-2004  by Diether Knof and Borg Enders
 *
 *   This program is free software; you can redistribute it and/or 
 *   modify it under the terms of the GNU General Public License as 
 *   published by the Free Software Foundation; either version 2 of 
 *   the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details. 
 *   You can find this license in the file 'gpl.txt'.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *   MA  02111-1307  USA
 *
 *  Contact:
 *    Diether Knof dknof@gmx.de
 *    Borg Enders  borg@borgsoft.de
 *
 **********************************************************************/

#ifndef GTKMM_HELP_HEADER
#define GTKMM_HELP_HEADER

#include "constants.h"

#include "../help.h"

namespace UI_GTKMM_NS {
  // a wrapper for the ::Help::show() functions,
  // because gtkmm needs unique function names for the signals
  namespace Help {

  void show_manual()
  { ::Help::show_manual(); }

  void show_gamestatus(GameStatus const game_status)
  { ::Help::show(game_status); }

  void show_rule_bool(Rule::TypeBool const type)
  { ::Help::show(type); }
  void show_rule_unsigned(Rule::TypeUnsigned const type)
  { ::Help::show(type); }

  void show_setting_bool(Setting::TypeBool const type)
  { ::Help::show(type); }
  void show_setting_unsigned(Setting::TypeUnsigned const type)
  { ::Help::show(type); }
  void show_setting_string(Setting::TypeString const type)
  { ::Help::show(type); }
  void show_setting_cardsorder(Setting::TypeCardsOrder const type)
  { ::Help::show(type); }

  }; // namespace Help
}; // namespace UI_GTKMM_NS

#endif // #ifndef GTKMM_HELP_HEADER
